Bug 217992 - blktap: Copy shared data before verification
blktap: Copy shared data before verification
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel-xen (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Xen Maintainance List
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-12-01 00:12 EST by Herbert Xu
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: 5.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-01-26 15:55:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Herbert Xu 2006-12-01 00:12:18 EST
We need this changeset from xen-unsatble (11824).

[BLKTAP]: Copy shared data before verification

As it is blktap verifies the metadata from the frontend in place.
This means we run the risk of the frontend changing the data after
we've verified it.  This patch copies the data onto the stack before
verifying and using it to ensure we see a consistent snapshot.

Signed-off-by: Herbert Xu <herbert@gondor.apana.org.au>
Comment 1 Jay Turner 2006-12-01 09:16:22 EST
QE ack for RHEL5.
Comment 3 Don Zickus 2006-12-13 20:11:08 EST
in 2.6.18-1.2876.el5
Comment 4 Jay Turner 2007-01-26 15:55:02 EST
2.6.18-7.el5 included in 20070125.0.

Note You need to log in before you can comment on or make changes to this bug.